# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Madou Monogatari Hanamaru Daiyouchienji Template

game: Madou Monogatari Hanamaru Daiyouchienji
requires:
  version: 0.7.174 # Version of MWGG required for this yaml to work as expected.

Madou Monogatari Hanamaru Daiyouchienji:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # What action is required to completed to goal?
    # Certificate: Open the chest that gives you the certificate.
    # Tower: Climb the Magical Tower, and defeat Devil.
    # Souvenirs: Get the 7 souvenirs and give them to your mother.
    # gems: Get the 7 gems and open the secret door in the library.
    certificate: 0
    tower: 50
    souvenirs: 0
    gems: 0

  required_secret_stones:
    # How many secret stones are required to get the final exam certificate.  If zero, the ability to ascend Sage's Mountain
    # is all that is needed to get it.  Note that the Magical Tower requires nothing save combat experience to clear.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0
    random-high: 0

  school_lunch:
    # Whether the starting 'school lunch' you have (the four Pickled Scallions) are randomized.
    # Vanilla: Don't touch the items.
    # Consumables: They are four random consumables or equipment items instead.
    # Anything: They can be any item.
    vanilla: 50
    consumables: 0
    anything: 0

  starting_magic:
    # What magic Arle should start with, out of the starting spells.
    # If this list is not default the other spells will be locations that send on start.
    ['Healing', 'Fire', 'Ice Storm', 'Thunder']

  souvenir_hunt:
    # The shop souvenirs are shuffled, try to find them!
    'false': 50
    'true': 0

  starting_cookies:
    # How many cookies you start with.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 9999
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  reduced_encounters:
    # Halves the rate of encounters.  Helps as some places are labyrinthine and will cause a lot of encounters to happen.
    # Also can offset the 4x encounter rate from holding Scorpion's Wallet
    'false': 50
    'true': 0

  shop_prices:
    # Determine how much the shop items should cost as a percentage of their original price.  The final price is capped at 9999.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 200
    100: 50
    random: 0
    random-low: 0
    random-high: 0

  squirrel_stations:
    # Randomizes the ability to use the squirrel station to go to certain locations.  Reaching destinations is a location.
    'false': 50
    'true': 0

  bestiary:
    # Whether meeting an encounter for the first time is a location.
    'false': 50
    'true': 0

  skip_fairy_search:
    # Skips the event where the fairy at the top of Sage Mountain goes missing, so when you have 8 secrest stones you
    # can immediately get the certificate.  If Bestiary is on, this removes the Owlbear location as it is not encountered.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
